SIGPENDING(2)

NAME
sigpending - examine pending signals

SYNOPSIS
#include <signal.h>

int sigpending(sigset_t *set);

DESCRIPTION

sigpending() returns the set of signals that are pending for delivery to the calling thread (i.e., the signals which have been raised while blocked). The mask of pending signals is returned in set.

RETURN VALUE
sigpending() returns 0 on success and -1 on error.

ERRORS

EFAULT
    set points to memory which is not a valid part of the process address space.

NOTES
sigsetops(3) for details on manipulating signal sets.

CONFORMING TO
POSIX.1-2001.

SEE ALSO
kill(2), sigaction(2), signal(2), sigprocmask(2), sigsuspend(2), sigsetops(3), signal(7)